/*
 *  mproto.h: prototypes for functions used in memmon and drivers.
 */

/*
 * The following just puts "struct region" in global scope for strict ANSI
 *  compilers.  We do it this way for fear that some compilers can't handle
 *  the correct method, which would be an empty declaration "struct region;".
 */
struct region *fictitious();

/*
 * Now, finally, the function prototypes for memmon.
 */
	/* mmain.c */
	novalue	mquit		Params((int exitcode));

	/* mcontrol.c */
	novalue	skipgc		Params((int n));
	novalue	memmon		Params((noargs));

	/* mcolors.c */
	novalue	initcolors	Params((noargs));
	novalue	readcolors	Params((char *filename));
	novalue	setmap		Params((int m, int c));
	novalue	legend		Params((noargs));

	/* mutils.c */
	int	chop		Params((char *s, char *w[], int n, int c));
	char *	trim		Params((char *s, int c));
	novalue	pstext		Params((char *s));
	novalue	pexit		Params((char *file));
	novalue	litout		Params((noargs));

	/* minput.c */
	int	getcmd		Params((word *addr, word *len));
	word	getshow		Params((noargs));
	novalue	getregion	Params((struct region *region));
	novalue	rsync		Params((struct region *rgn, char *label));

	/* moutput.c */
	novalue	refresh		Params((noargs));
	novalue	paintblk	Params((struct region *r, word addr, word len,
					int color));
	novalue	paintstr	Params((word addr, word len, int c1, int c2));
	int	gcwait		Params((int key, char *msg));
	int	mpause		Params((int key, char *msg));
	novalue	mstatus		Params((char *msg, int color));
	novalue	mtext		Params((char *s,int row,int col,int fg,int bg));
	
	/* common to all device drivers */
	novalue	devsetup	Params((noargs));
	novalue	devinit		Params((noargs));
	novalue	devmap		Params((noargs));
	novalue	devflood	Params((int c));
	novalue	devpaint	Params((word s, word n, int c, int b));
	novalue	devtext		Params((char *s,int row,int col,int fg,int bg));
	novalue	devsnap		Params((noargs));
	novalue	devflush	Params((noargs));
	novalue	devterm		Params((noargs));

	/* batch mode driver functions */
	novalue	batbegin	Params((noargs));
	novalue	battext		Params((char *s,int row,int col,int fg,int bg));
	novalue	batmem		Params((unsigned char mbuf[]));
	novalue batterm		Params((noargs));
