/*
 * proto.h -- prototypes for library functions.
 */

/*
 * The following code is operating-system dependent. [@proto.01].
 *  Prototypes for library functions.
 */

#if PORT
#endif					/* PORT */

#if AMIGA
/* ****  TEMPORARY *** */
novalue	_exit		Params((int));
novalue	abort		Params((noargs));
long	atol		Params((char *));
pointer	calloc		Params((unsigned,unsigned));
int	execv		Params((char *, char **));
int	execvp		Params((char *, char **));
novalue	exit		Params((int));
char	*getenv		Params((char *));
char	*getmem		Params((unsigned));
pointer	malloc		Params((msize));
pointer	realloc		Params((pointer, unsigned));
int	putf		Params((dptr dp, struct b_tvkywd *bp));
char	*strchr		Params((char *s, int i));
int	strcmp		Params((char *s1, char *s2));
char	*strcpy		Params((char *s1, char *s2));
char	*strncat	Params((char *s1, char *s2, int n));
int	strncmp		Params((char *s1, char *s2, int n));
char	*strncpy	Params((char *s1, char *s2, int n));
#endif					/* AMIGA */

#if ATARI_ST
/* ****  TEMPORARY *** */
novalue	_exit		Params((int));
novalue	abort		Params((noargs));
long	atol		Params((char *));
pointer	calloc		Params((unsigned,unsigned));
int	execv		Params((char *, char **));
int	execvp		Params((char *, char **));
novalue	exit		Params((int));
char	*getenv		Params((char *));
char	*getmem		Params((unsigned));
pointer	malloc		Params((msize));
pointer	realloc		Params((pointer, unsigned));
int	putf		Params((dptr dp, struct b_tvkywd *bp));
char	*strchr		Params((char *s, int i));
int	strcmp		Params((char *s1, char *s2));
char	*strcpy		Params((char *s1, char *s2));
char	*strncat	Params((char *s1, char *s2, int n));
int	strncmp		Params((char *s1, char *s2, int n));
char	*strncpy	Params((char *s1, char *s2, int n));
#endif					/* ATARI_ST */

#if HIGHC_386
/* ****  TEMPORARY *** */
novalue	_exit		Params((int));
novalue	abort		Params((noargs));
long	atol		Params((char *));
pointer	calloc		Params((unsigned,unsigned));
int	execv		Params((char *, char **));
int	execvp		Params((char *, char **));
novalue	exit		Params((int));
char	*getenv		Params((char *));
char	*getmem		Params((unsigned));
pointer	malloc		Params((msize));
pointer	realloc		Params((pointer, unsigned));
int	putf		Params((dptr dp, struct b_tvkywd *bp));
char	*strchr		Params((char *s, int i));
int	strcmp		Params((char *s1, char *s2));
char	*strcpy		Params((char *s1, char *s2));
char	*strncat	Params((char *s1, char *s2, int n));
int	strncmp		Params((char *s1, char *s2, int n));
char	*strncpy	Params((char *s1, char *s2, int n));
#endif					/* HIGHC_386 */

#if MACINTOSH
/* ****  TEMPORARY *** */
novalue	_exit		Params((int));
novalue	abort		Params((noargs));
long	atol		Params((char *));
pointer	calloc		Params((unsigned,unsigned));
int	execv		Params((char *, char **));
int	execvp		Params((char *, char **));
novalue	exit		Params((int));
char	*getenv		Params((char *));
char	*getmem		Params((unsigned));
pointer	malloc		Params((msize));
pointer	realloc		Params((pointer, unsigned));
int	putf		Params((dptr dp, struct b_tvkywd *bp));
char	*strchr		Params((char *s, int i));
int	strcmp		Params((char *s1, char *s2));
char	*strcpy		Params((char *s1, char *s2));
char	*strncat	Params((char *s1, char *s2, int n));
int	strncmp		Params((char *s1, char *s2, int n));
char	*strncpy	Params((char *s1, char *s2, int n));
#endif					/* MACINTOSH */

#if MSDOS
/* ****  TEMPORARY *** */
novalue	_exit		Params((int));
novalue	abort		Params((noargs));
long	atol		Params((char *));
pointer	calloc		Params((unsigned,unsigned));
int	execv		Params((char *, char **));
int	execvp		Params((char *, char **));
novalue	exit		Params((int));
char	*getenv		Params((char *));
char	*getmem		Params((unsigned));
pointer	malloc		Params((msize));
pointer	realloc		Params((pointer, unsigned));
int	putf		Params((dptr dp, struct b_tvkywd *bp));
char	*strchr		Params((char *s, int i));
int	strcmp		Params((char *s1, char *s2));
char	*strcpy		Params((char *s1, char *s2));
char	*strncat	Params((char *s1, char *s2, int n));
int	strncmp		Params((char *s1, char *s2, int n));
char	*strncpy	Params((char *s1, char *s2, int n));
#endif					/* MSDOS */

#if UNIX
novalue	_exit		Params((int));
novalue	abort		Params((noargs));
long	atol		Params((char *));
pointer	calloc		Params((unsigned,unsigned));
int	execv		Params((char *, char **));
int	execvp		Params((char *, char **));
novalue	exit		Params((int));
char	*getenv		Params((char *));
char	*getmem		Params((unsigned));
pointer	malloc		Params((msize));
pointer	realloc		Params((pointer, unsigned));
int	putf		Params((dptr dp, struct b_tvkywd *bp));
char	*strchr		Params((char *s, int i));
int	strcmp		Params((char *s1, char *s2));
char	*strcpy		Params((char *s1, char *s2));
char	*strncat	Params((char *s1, char *s2, int n));
int	strncmp		Params((char *s1, char *s2, int n));
char	*strncpy	Params((char *s1, char *s2, int n));
#endif					/* UNIX */

#if VM || MVS
/* ****  TEMPORARY *** */
novalue	_exit		Params((int));
novalue	abort		Params((noargs));
long	atol		Params((char *));
pointer	calloc		Params((unsigned,unsigned));
int	execv		Params((char *, char **));
int	execvp		Params((char *, char **));
novalue	exit		Params((int));
char	*getenv		Params((char *));
char	*getmem		Params((unsigned));
pointer	malloc		Params((msize));
pointer	realloc		Params((pointer, unsigned));
int	putf		Params((dptr dp, struct b_tvkywd *bp));
char	*strchr		Params((char *s, int i));
int	strcmp		Params((char *s1, char *s2));
char	*strcpy		Params((char *s1, char *s2));
char	*strncat	Params((char *s1, char *s2, int n));
int	strncmp		Params((char *s1, char *s2, int n));
char	*strncpy	Params((char *s1, char *s2, int n));
#endif					/* VM || MVS */

#if VMS
/* ****  TEMPORARY *** */
novalue	_exit		Params((int));
novalue	abort		Params((noargs));
long	atol		Params((char *));
pointer	calloc		Params((unsigned,unsigned));
int	execv		Params((char *, char **));
int	execvp		Params((char *, char **));
novalue	exit		Params((int));
char	*getenv		Params((char *));
char	*getmem		Params((unsigned));
pointer	malloc		Params((msize));
pointer	realloc		Params((pointer, unsigned));
int	putf		Params((dptr dp, struct b_tvkywd *bp));
char	*strchr		Params((char *s, int i));
int	strcmp		Params((char *s1, char *s2));
char	*strcpy		Params((char *s1, char *s2));
char	*strncat	Params((char *s1, char *s2, int n));
int	strncmp		Params((char *s1, char *s2, int n));
char	*strncpy	Params((char *s1, char *s2, int n));
#endif					/* VMS */

/*
 * End of operating-system specific code.
 */

#ifdef KeyboardFncs
int	getch		Params((noargs));
int	getche		Params((noargs));
int	kbhit		Params((noargs));
#endif					/* KeyboardFncs */

#ifdef SystemFncs
int	system		Params((char *));
#endif					/* SystemFncs */

#include "../common/cproto.h"
